Skip to main content
GET
List Product Collections

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100
order
enum<string>

Sorts the results using one of the filtering options, where the dash - preceding a sorting option means sorting in a descending order.

Available options:
created_at,
-created_at,
updated_at,
-updated_at,
type,
-type,
code,
-code,
campaign,
-campaign,
category,
-category

Response

200 - application/json

Returns a dictionary containing a list of product collections and details about each product collection.

Response body schema for GET v1/product-collections.

object
enum<string>
default:list
required

The type of the object represented by JSON. This object stores information about product collections.

Available options:
list
data_ref
enum<string>
default:data
required

Identifies the name of the JSON property that contains the array of product collections.

Available options:
data
data
Product Collections List Data Item · object[]
required

A dictionary that contains an array of product collections and their details.

total
integer
required

Total number of product collections.

Last modified on June 11, 2026